# class NumRu::GPhys

Additional methods regarding coordinate transformation.

## Methods

#### `coordtransform( coordmapping, axes_to, *dims )`

  Coordinate transformation with coordmapping into axes_to.

  ARGUMENTS

  - coordmapping (CoordMapping) : relation between the new and original coordinate systems. Mapping is defined from the new one to the orinal one. If the rank of the mapping is smaller than the rank of self, dims must be used to specify the correspondence. e.g., if the rank of the mapping is 2 and that of self is 3 and the mapping is regarding the first 2 dimensions of the three, dims must be [0,1].
  - axes_to (Array of Axis) : grid in the new coordinate system. Its length must be the same as the rank of coordmapping
  - dims (integers) : Specifies the dimensions to which coordmapping is applied. Needed if `self.rank!=coordmapping.rank` (neglected otherwise). The number of integers must agree with the rank of the mapping.